<div class="modal-header " >
  <div class="grid gridTemplate3Col gridTemplateHeaderCard  w-100">
    <div class="gHeader1">
      <span class="modal-title ">{{modalConfig}}  </span>
    </div>
    <div class="gHeader2">
      <span > Tiquete numero: </span> <span class="id">{{idTicket}}</span>
    </div>
    <div class="gHeader3">
      <a (click)="activeModal.dismiss('Cross click')">
        <i class="pi pi-times-circle CBC" ></i>
      </a>
    </div>
  </div>
</div>
<p-toast [style]="{marginTop: '80px'}"></p-toast>
<div class="modal-body"   >
  <div class="row">
   <div class="col-sm-3 mb-1" >
      <label >Remisión numero: {{idRemision}}</label><br>
      <button class=" btn bCSO" (click)="crearSellos()" >
        <span class = "fa fa-plus-circle "></span> <span > Cargar Sellos</span></button>
    </div>


    <div class="col-sm-12"  *ngIf="displayDialogFalse" >
      <p-table [value]="modalDataArrayTable" selectionMode="single" [(selection)]="selectSello"
               (onRowSelect)="onRowSelect($event)" [paginator]="true" [rows]="8" [responsive]="true">
        <ng-template pTemplate="caption" class="bCPO">
          LISTA DE SELLOS
        </ng-template>
        <ng-template pTemplate="header" let-columns>
          <tr  class="text-center">
            <th class="{{col.class}}" *ngFor="let col of cols" >
              {{col.header}}
            </th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-rowData let-columns="columns">
          <tr class="text-center"  [pSelectableRow]="rowData">
            <td style="    text-transform: none;"><span class="ui-column-title"></span>Sello {{rowData.selloNumero}}</td>
            <td><span class="ui-column-title">Nombre</span>{{rowData.nombre}}</td>
            <td><span class="ui-column-title">Foto</span>
              <button (click)="verFoto('Ver foto' , rowData.foto )" *ngIf="rowData.foto != ''"  class=" btn bCSC" >
                <span class = "fa fa-eye "></span> <span > ver foto</span></button>
            </td>
          </tr>
        </ng-template>
      </p-table>

    </div>
    <div class="col-sm-12" *ngIf="!displayDialogFalse">
      <span>Edición del sello</span>
    </div>

</div>
</div>
<div class="modal-footer">
  <button type="button" class="btn bCSC" (click)="activeModal.close('Close click')">SALIR</button>
</div>
  <form [formGroup]="sellosForm" (ngSubmit)="onSubmit()">

      <p-dialog header="Detalle del sello" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true" >
        <div class="modal-body">
        <div class="row">
          <div class="col-sm-12">

            <div class="row">
              <div class="col-sm-6">
                <div  class="form-group">
                  <label>Sello</label>
                  <span class="form-control disableSpan" >{{selectSello.selloNumero}}</span>
                </div>
              </div>
              <div class="col-sm-6">
                <div  class="form-group">
                  <label>Nombre</label>
                  <input type="text" formControlName="nombre" [(ngModel)]="selectSello.nombre"  class="form-control"
                         />
                  <div   *ngIf="submitted &&  f.nombre.errors" class="invalid-feedback">
                    <div *ngIf="f.nombre.errors.required">nombre es requerido.</div>
                  </div>
                </div>
              </div>
              <div class="col-sm-6">
                <div  class="form-group">
                  <label>Operación</label>
                  <select class="form-control disableSpan" formControlName="operacion"[(ngModel)]="idOperacion"
                          [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.operacion.errors }"required  >
                    <option *ngFor="let value of dataOperaciones" [value]="value.id">{{value.nombreOperacion}}</option>
                  </select>
                  <div   *ngIf="submitted &&  f.operacion.errors" class="invalid-feedback">
                    <div *ngIf="f.operacion.errors.required">operacion es requerido.</div>
                  </div>
                </div>
              </div>

              <div class="col-sm-6">
                <label >Subir imagen</label> <br>
                <label class="btn bCSO">
                  <input type="file" class="d-none" (change)="fileChangeEvent($event)" />
                  <i class="fas fa-image text-white"></i>
                </label>
              </div>

              <div class="col-sm-12 " >
                <image-cropper #Foto
                               [imageChangedEvent]="imageChangedEvent"
                               [maintainAspectRatio]="false"
                               format="png"
                               (imageCropped)="imageCropped($event)"
                               (imageLoaded)="imageLoaded()"
                               (loadImageFailed)="loadImageFailed()"
                ></image-cropper>
              </div>
              <div class="col-sm-12 text-center" *ngIf="selectSello.foto !== ''">
                <label>Foto subida</label> <br>
                <img [src] = "selectSello.foto" >
              </div>

            </div>


          </div>
        </div>
        </div>
        <div class="modal-footer">

          <button type="button" class="btn bCSC text-white"   (click)="salir()" >Salir</button>
          <button type="submit" class="btn bCPO text-white" >GUARDAR</button>
        </div>
      </p-dialog>


  </form>
